.filenamespace start
	* = $0801 "Basic"
	.byte $0c, $08, $00, $00, $9e, $32, $30, $36, $31, $00, $00, $00

mainStartup:
//	lda #<1280   // 0
//	sta $b5      // implicit value 0
	lda #>1280   // 5, screen at 0x0500
	sta $b6
	             // 5 stars with different sizes, but same center
	ldy #164     // loop, y in values 164, 123, 82, 41, 0
!loop3:
	ldx #7       // loop x in 7-0, 8 lines in star

!loop2:
	lda $35      // switch between longer and shorter line
	eor #-4
	sta $35
	clc
	adc $32      // default is 8, then changed to 10, 12, 14, 16
	sta $fe      // length of current line

!loop:
	lda #42      // asteriks code
	sta ($b5),Y  // draw asteriks
	clc
	lda offset,X // move to next point, depending on angle
	bpl !next+   // if offset is negative then add #$ff to $b6 (or simply dec #1)
	dec $b6
!next:
	adc $b5      // add offset to current position
	sta $b5
	bcc !next+   // propagate carry to higher byte
	inc $b6
!next:
	dec $fe      // decrement asteriks count to draw in line counter
	bne !loop-

	dex          // change angle
	bpl !loop2-  // loop 8 times to draw 8 lines

	inc $32      // increase lines lengths for next star
	inc $32
	tya
	sbc #41      // Carry is 1 in this star position, sub 41 means to move one line up and one char to the left
	tay          // move to outer star
	bpl !loop3-
	rts

offset:          // low byte of offset, higher byte is depending of this ($00 of $FF)
.byte <-40, <39, <1, <-41, <40, <-39, <-1, <41 // Up, Down+Left, Right, Up-Left, Down, Up-Right, Left, Down-Right
